System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.MsmqBindingElementBase To be added.

This binding element can be used to enable indigo1 applications to send messages to and receive messages from existing MSMQ applications that use either COM, MSMQ native APIs, or the APIs in . Use this class to send and receive messages from MSMQ-based messaging applications.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelFactory<TChannel> ``

  This method builds a channel factory that enables the developer to create a client channel to communicate with a service. The channel factory is not a channel, but rather a factory that can create a channel. You create a channel by calling IChannelFactory<TChannel>.CreateChannel.

  Builds a channel factory using the context provided.

  An MSMQ integration channel factory that can be used to create channels to send messages to existing MSMQ applications.

  The with which to build the channel factory. The type of channel.
- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelListener<TChannel> ReferenceTypeConstraint System.ServiceModel.Channels.IChannel ``

  Channel listeners are created on the service and are used to receive messages sent by a client channel. The service must call IChannelListener.Open and then IChannelListener.AcceptChannel to get a reference to the actual channel. Then IChannel.Open must be called to open the channel. At this point, the channel can be used to retrieve messages.

  Builds a channel listener using the context provided.

  An MSMQ integration channel listener that can be used to create channels to receive messages from existing MSMQ applications.

  The with which to build the channel listener. The type of channel.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value that indicates whether you can build a channel factory with the context provided.

  true if you can build a channel factory with the context provided; otherwise, false. This method returns true only if is .

  The with which to build the channel factory. The type of channel.
- Method
  4.0.0.0
  System.Boolean ReferenceTypeConstraint System.ServiceModel.Channels.IChannel `` To be added.

  Returns a value that indicates whether you can build a channel listener with the context provided.

  true if you can build a channel listener with the context provided; otherwise, false.

  This method returns true only if is .

  The with which to build the channel listener. The type of channel.
- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElement To be added.

  Returns a clone of the binding element.

  A clone of the binding element.

- Method
  4.0.0.0
  T ReferenceTypeConstraint ``

  This method provides the functionality to retrieve capabilities and protection requirements from the element.

  Gets a property of the requested type from the specified BindingContext.

  An object of type .

  The binding context. The type of property.
- Property
  4.0.0.0
  System.String To be added.

  This property returns the string "msmq.formatname" to indicate the addressing scheme used by the MSMQ integration channel. For more information about queue addressing, see Service Endpoints and Queue Addressing.

  Gets a that contains the scheme used by the binding element.

- Property
  4.0.0.0
  System.ServiceModel.MsmqIntegration.MsmqMessageSerializationFormat To be added.

  This property can have one of the following values:

  ActiveX - The ActiveX serializer is used to serialize objects.

  Binary - The is used to serialize objects.

  ByteArray - The object is serialized to an array of bytes.

  Stream - The object is serialized to a stream.

  Xml - The is used to serialize objects.

  The default value is Xml.

  Gets or sets the to be used when serializing MSMQ messages.

- Property
  4.0.0.0
  System.Type[] To be added.

  The body of an MSMQ message is not typed. The property enables you to specify the types to which messages are deserialized when they are sent from an MSMQ application to a indigo1 receiving application. This property is used only if is set to Xml.

  Gets or sets an array of objects that contain the types to which messages should be deserialized.